
Redmine - Feature #1388

Email integration: track email answers

2008-06-05 18:04 - Vladymyr Vladymyrov

Status: Closed Start date: 2008-06-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It would be great to have ability to track all email/letters flow involved in some particular issue and/or revision discussions.

To see the list of emails related to particular issue and be able read/search through these emails.

This can be implemented as separate processes which will index letters in mailbox.

I'm thinking keeping emails on imap mail server or shared ms exchange account.

Related issues:

Related to Redmine - Patch #1110: Allow email to create issue or add comment Closed 2008-04-25

History

#1 - 2008-06-05 18:15 - Vladymyr Vladymyrov

There is ruby lib to work with MS Exchange over webdav interface

http://rubyforge.org/projects/rexchange/

#2 - 2008-06-09 14:24 - Vladymyr Vladymyrov

Oops, I found some email integration in app/models/mail_handler.rb MailHandler.receive

Could you please explain how to start/enable it?

As I understand - MailHandler should be somehow integrated to the mail server flow - reading pop3 box, or processing emails using | (pipe).

Could you please explain?

#3 - 2008-06-09 14:26 - Vladymyr Vladymyrov

Sorry for bothering.

I've found information I've asked here:

http://www.redmine.org/repositories/revision/1?rev=523

Revision 523

jplang, 2007-05-09 20:46

Added a simple mail handler.

It lets users add notes to an existing issue by replying to the initial notification email.

Permissions are checked in the same way as in the application (the user is identified by its mail address).

Information about configuring the application so that it receives emails can be found here:

http://wiki.rubyonrails.com/rails/pages/HowToReceiveEmailsWithActionMailer

RedMine mail hander is MailHandler#receive

#4 - 2008-06-09 15:25 - Vladymyr Vladymyrov

- Status changed from New to Resolved

#5 - 2008-07-06 15:39 - Jean-Philippe Lang

- Category set to Email notifications

- Status changed from Resolved to Closed

- Resolution set to Duplicate

2025-05-17 1/2

http://rubyforge.org/projects/rexchange/
http://www.redmine.org/repositories/revision/1?rev=523
http://wiki.rubyonrails.com/rails/pages/HowToReceiveEmailsWithActionMailer


See #1110 and RedmineReceivingEmails.

#6 - 2009-11-28 13:21 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving
